CFLAGS=-O2
CC=gcc
PREFIX=/usr/local
all: romgen ramgen flashgen

romgen: ./src/romgen.c
	$(CC) $(CFLAGS) ./src/romgen.c -lm -o ./romgen

ramgen: ./src/ramgen.c
	$(CC) $(CFLAGS) ./src/ramgen.c -lm -o ./ramgen

flashgen: ./src/flashgen.c
	$(CC) $(CFLAGS) ./src/flashgen.c -lm -o ./flashgen_el
	$(CC) $(CFLAGS) -DTARGET_IS_BIG_ENDIAN ./src/flashgen.c -lm -o ./flashgen_eb

install:
	cp romgen $(PREFIX)/bin
	cp ramgen $(PREFIX)/bin
	cp flashgen_el $(PREFIX)/bin
	cp flashgen_eb $(PREFIX)/bin
clean:
	rm -rf romgen* ramgen* flashgen*
